Xalan-Java: Class Function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath
Class Function

    java.lang.Object
      |
      +--org.apache.xalan.xpath.Function

Direct Known Subclasses:
  FuncBoolean, FuncCeiling, FuncConcat, FuncContains, FuncCount, FuncCurrent, FuncDoc, FuncDoclocation, FuncDocument, FuncExtElementAvailable, FuncExtFunctionAvailable, FuncFalse, FuncFloor, FuncFormatNumb, FuncFormatNumber, FuncGenerateId, FuncId, FuncKey, FuncLang, FuncLast, FuncLoader, FuncLocalPart, FuncNamespace, FuncNormalize, FuncNormalizeSpace, FuncNot, FuncNumber, FuncPosition, FuncQname, FuncRound, FuncStartsWith, FuncString, FuncStringLength, FuncSubstring, FuncSubstringAfter, FuncSubstringBefore, FuncSum, FuncSystemProperty, FuncTranslate, FuncTrue, FuncUnparsedEntityURI

public abstract class Function
extends java.lang.Object

**For advanced use only** This is a superclass of all XPath functions. This allows two ways for the class to be called. One method is that the super class processes the arguments and hands the results to the derived class, the other method is that the derived class may process it's own arguments, which is faster since the arguments don't have to be added to an array, but causes a larger code footprint.

Constructor Summary
`Function()` **For advanced use only**

Method Summary
`XObject` | `execute(XPath path, XPathSupport execContext, org.w3c.dom.Node context, int opPos, int funcID, int endFunc)` **For advanced use only** Execute an XPath function object.
`XObject` | `execute(XPath path, XPathSupport execContext, org.w3c.dom.Node context, int opPos, java.util.Vector args)` **For advanced use only** Execute an XPath function object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Function

    public Function()

Method Detail

### execute

    public XObject execute(XPath path,
                           XPathSupport execContext,
                           org.w3c.dom.Node context,
                           int opPos,
                           java.util.Vector args)
                    throws org.xml.sax.SAXException

  **For advanced use only** Execute an XPath function object. The function must return a valid object.
  Parameters:
    `path` - The executing xpath.
    `context` - The current context.
    `opPos` - The current op position.
    `args` - A list of XObject arguments.
  Returns:
    A valid XObject.

### execute

    public XObject execute(XPath path,
                           XPathSupport execContext,
                           org.w3c.dom.Node context,
                           int opPos,
                           int funcID,
                           int endFunc)
                    throws org.xml.sax.SAXException

  **For advanced use only** Execute an XPath function object. The function must return a valid object. The function can either override this function, in which case it must handle executing it's own arguments, or it can have the functions processed for it and override the other execute function.
  Parameters:
    `path` - The executing xpath.
    `context` - The current context.
    `opPos` - The current op position.
    `endFunc` - The op position of the end of the function.
  Returns:
    A valid XObject.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.